%define SDL_perl SDL_perl-1.20.0

Summary: Puzzle-Bobble clone 
Name: frozen-bubble
Version: 1.0.0
Release: b1
URL: http://www.frozen-bubble.org/
Source0: %name-%version.tar.bz2
Source1: %SDL_perl.tar.gz
Patch0: fb-SDL_perl-build.patch
Patch1: fb-build.patch
License: GPL
Group: Amusements/Games
#BuildRoot: %{_topdir}/ROOT/%name-root
Buildroot: %{_tmppath}/%{name}-%{version}
Buildrequires: SDL-devel, SDL_image-devel, SDL_mixer-devel
Requires: SDL_mixer >= 1.2.2
Provides: perl(fbmdkcommon)

BuildArchitectures: i586


%description 
Frozen Bubble, a high quality addictive game written in perl and using
SDL.


%prep
%setup -q
%setup -q -D -T -a 1
%patch0 -p0
%patch1 -p0

%build
cd %SDL_perl
perl Makefile.PL PREFIX=%buildroot%{_prefix}
make
cd ..

cd c_stuff
perl Makefile.PL PREFIX=%buildroot%{_prefix}
cd ..
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%buildroot%{_prefix}


%install
rm -rf $RPM_BUILD_ROOT

# install SDL_perl 
cd %SDL_perl
make install
cd ..

# add the SDL_perl dir
sed -e '/^#use strict/a\
\
use lib "%{_prefix}/lib/frozen-bubble/site_perl";' \
 > frozen-bubble.n < frozen-bubble
mv frozen-bubble.n frozen-bubble
sed -e '/^use fb_stuff/i\
\
use lib "%{_prefix}/lib/frozen-bubble/site_perl";\
' > frozen-bubble-editor.n < frozen-bubble-editor
mv frozen-bubble-editor.n frozen-bubble-editor
sed -e 's@%buildroot@@' > c_stuff/lib/fb_stuff.pm.n \
  < c_stuff/lib/fb_stuff.pm
mv c_stuff/lib/fb_stuff.pm.n c_stuff/lib/fb_stuff.pm
# install fb
make install PREFIX=%buildroot%{_prefix}

# move the perl stuff ...
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/frozen-bubble
mv $RPM_BUILD_ROOT%{_prefix}/lib/perl5/site_perl \
   $RPM_BUILD_ROOT%{_prefix}/lib/frozen-bubble

# removes a build script that f!#cks up perl deps ...
pushd $RPM_BUILD_ROOT%{_prefix}/share/frozen-bubble
rm gfx/shoot/{Makefile,create.pl}

# removes some leftover images
rm gfx/menu/{small_ping,txt_graphics_[123]}.png
popd

# install icons and GNOME desktop entry
cp -a icons $RPM_BUILD_ROOT/usr/share/%name
cat >%name.desktop <<EOF
[Desktop Entry]
Name=Frozen Bubble
TryExec=frozen-bubble
Exec=frozen-bubble
Icon=%{_prefix}/share/frozen-bubble/icons/frozen-bubble-icon-32x32.png
Terminal=0
Type=Application
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor=%name              \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications  \
  --add-category X-Red-Hat-Extra                 \
  --add-category Application                     \
  --add-category Game                            \
  %{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS CHANGES COPYING README INSTALL
%{_prefix}/bin/*
%{_prefix}/lib/frozen-bubble
%{_prefix}/share/frozen-bubble
%{_datadir}/applications
# %{_prefix}/share/man/man3/*
%{_prefix}/share/man/man6/*

%changelog
* Fri Jul 18 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from http://oandrieu.nerim.net/frozen-bubble/
